/* --- Video card modal --- */
.lvd-cm-video-card-modal .lvd-container                 {position: relative;}
.lvd-cm-video-card-modal .lvd-video-wrapper             {position: relative; border-radius: var(--lvd-rounded-md); padding-top: 56.25%; height: 0; overflow: hidden; cursor: pointer;}
.lvd-cm-video-card-modal .lvd-video-cover               {position: absolute; top: 0; left: 0; width: 100%; height: 100%; z-index: 2;}
.lvd-cm-video-card-modal .lvd-cover-image               {width: 100%; height: 100%; object-fit: cover; display: block; border-radius: var(--lvd-rounded-md);}

/* --- Scroll Animation --- */
.lvd-cm-video-card-modal.lvd-scroll-zoom                {view-timeline-name: --vcm-zoom; view-timeline-axis: block;}
.lvd-cm-video-card-modal.lvd-scroll-zoom .lvd-container {transform: scale(0.65); transform-origin: center center; will-change: transform; animation: lvd-grow-effect linear both; animation-timeline: --vcm-zoom; animation-range: entry 0% cover 50%;}
@keyframes lvd-grow-effect                              {to {transform: scale(1);}}

/* Bm */ 
@media (max-width: 767px) {
    .lvd-cm-video-card-modal                            {margin-left: 8px; margin-right: 8px;}
    .lvd-cm-video-card-modal.lvd-px, 
    .lvd-cm-video-card-modal.lvd-pxy                    {padding-left: 0; padding-right: 0;}
}

/* Bt */
@media (min-width: 768px) and (max-width: 1024px) {
    .lvd-cm-video-card-modal                            {margin-left: 24px; margin-right: 24px;}
    .lvd-cm-video-card-modal.lvd-px, 
    .lvd-cm-video-card-modal.lvd-pxy                    {padding-left: 0; padding-right: 0;}
}